Photos
Return detailed information for your photos in your room type.
Retrieve a room type's photos, ordered by position with unpositioned photos last. Floor plans are not included.
Authorizations
x-sm-api-keystringRequired
Path parameters
propertyUuidstringRequired
UUID for a property.
roomTypeUuidstring · uuidRequired
UUID for a room type.
Header parameters
x-sm-api-keystringRequired
API key used to authenticate the request.
Responses
200
Successful operation
application/json
urlstringRequired
Public URL of the photo
captionstring · nullableRequired
Caption for the photo, null when none is set
sortOrderinteger · min: 1 · nullableRequired
1-based display order of the photo; null when the photo has no stored position
400
Bad Request
application/json
401
Not Authorised
application/json
403
Access Denied
application/json
404
The specified resource was not found
application/json
429
Rate Limited
application/json
500
Internal Server Error
application/json
get/properties/{propertyUuid}/room-types/{roomTypeUuid}/photos
GET /properties/{propertyUuid}/room-types/{roomTypeUuid}/photos HTTP/1.1
x-sm-api-key: text
Accept: */*
[
{
"url": "https://example.com/photo.jpg",
"caption": "King bed with ocean view",
"sortOrder": 1
}
]Last updated
Was this helpful?